<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="84425a2a952d5150" weblate-flags="read-only">
        <source>Files</source>
        <target state="translated">Files</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b8c22d3bc2fe4d6d" weblate-flags="read-only">
        <source>Often when implementing network algorithms such as servers, it is necessary to interact with files on the system. Beast defines the __File__ concept and several models to facilitate cross-platform interaction with the underlying filesystem:</source>
        <target state="translated">Often when implementing network algorithms such as servers, it is necessary to interact with files on the system. Beast defines the __File__ concept and several models to facilitate cross-platform interaction with the underlying filesystem:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d4763551c479df09" weblate-flags="read-only">
        <source>File Types</source>
        <target state="translated">File Types</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b4c4db868dbf643a" weblate-flags="read-only">
        <source>Name</source>
        <target state="translated">Name</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484" weblate-flags="read-only">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4233ed0d577aaa14" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__file `file`]</source>
        <target state="translated">[link beast.ref.boost__beast__file `file`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="15f69f6a37d04b4d" weblate-flags="read-only">
        <source>`file` is a type alias to one of the following implementations, depending on what is available on the target platform.</source>
        <target state="translated">`file` is a type alias to one of the following implementations, depending on what is available on the target platform.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c8f8929bd086f221" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__file_stdio `file_stdio`]</source>
        <target state="translated">[link beast.ref.boost__beast__file_stdio `file_stdio`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="35972d2269882695" weblate-flags="read-only">
        <source>This implementation of __File__ uses the C++ standard library facilities obtained by including `&lt;cstdio&gt;`.</source>
        <target state="translated">This implementation of __File__ uses the C++ standard library facilities obtained by including `&lt;cstdio&gt;`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a986a7fe5579d6aa" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__file_win32 `file_win32`]</source>
        <target state="translated">[link beast.ref.boost__beast__file_win32 `file_win32`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5cebca8ebb41dfae" weblate-flags="read-only">
        <source>This implements a __File__ for the Win32 API. It provides low level access to the native file handle when necessary.</source>
        <target state="translated">This implements a __File__ for the Win32 API. It provides low level access to the native file handle when necessary.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2a55756dc71fb62e" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__file_posix `file_posix`]</source>
        <target state="translated">[link beast.ref.boost__beast__file_posix `file_posix`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7bcb1a44b383b683" weblate-flags="read-only">
        <source>For POSIX systems, this class provides a suitable implementation of __File__ which wraps the native file descriptor and provides it if necessary.</source>
        <target state="translated">For POSIX systems, this class provides a suitable implementation of __File__ which wraps the native file descriptor and provides it if necessary.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
    </body>
  </file>
</xliff>
